package com.zd.alg.smartlock.service;

import com.zd.alg.smartlock.domain.SlApplyApproval;

import java.util.List;
import java.util.Map;

/**
 * 申请审核Service接口
 *
 * @author zd
 * @date 2022-09-02
 */
public interface ISlApplyApprovalService
{
    /**
     * 查询申请审核
     *
     * @param id 申请审核主键
     * @return 申请审核
     */
    SlApplyApproval selectSlApplyApprovalById(Long id);

    /**
     * 查询申请审核列表
     *
     * @param slApplyApproval 申请审核
     * @return 申请审核集合
     */
    List<SlApplyApproval> selectSlApplyApprovalList(SlApplyApproval slApplyApproval);

    /**
     * 根据主键集合查询申请审核列表
     *
     * @param ids 主键集合
     * @return 申请审核集合
     */
    List<SlApplyApproval> getListByIds(List<Long> ids);

    /**
     * 新增申请审核
     *
     * @param slApplyApproval 申请审核
     * @return 结果
     */
    int insertSlApplyApproval(SlApplyApproval slApplyApproval);

    /**
     * 修改申请审核
     *
     * @param slApplyApproval 申请审核
     * @return 结果
     */
    int updateSlApplyApproval(SlApplyApproval slApplyApproval);

    /**
     * 批量删除申请审核
     *
     * @param ids 需要删除的申请审核主键集合
     * @return 结果
     */
    int deleteSlApplyApprovalByIds(Long[] ids);

    /**
     * 删除申请审核信息
     *
     * @param id 申请审核主键
     * @return 结果
     */
    int deleteSlApplyApprovalById(Long id);

    /**
     *短信审核
     * @param phone 回复人电话
     * @param content 回复内容
     * @param lockApplyId 申请id
     * @return
     */
    Map<String,Object> sysMsgApprova(String phone, String content, Long lockApplyId);

}
